Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.wsrp.consumer
Enum RefreshResult.Status

    java.lang.Object
      java.lang.Enum<RefreshResult.Status>
          org.jboss.portal.wsrp.consumer.RefreshResult.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RefreshResult.Status>

Enclosing class:
  RefreshResult

    public static enum RefreshResult.Status

extends java.lang.Enum<RefreshResult.Status>

Enum Constant Summary
`BYPASSED`
`FAILURE`
`MODIFY_REGISTRATION_REQUIRED`
`SUCCESS`
`UNAVAILABLE`
`UNKNOWN`

Method Summary
`static RefreshResult.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RefreshResult.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final RefreshResult.Status SUCCESS

### FAILURE

    public static final RefreshResult.Status FAILURE

### UNAVAILABLE

    public static final RefreshResult.Status UNAVAILABLE

### BYPASSED

    public static final RefreshResult.Status BYPASSED

### UNKNOWN

    public static final RefreshResult.Status UNKNOWN

### MODIFY_REGISTRATION_REQUIRED

    public static final RefreshResult.Status MODIFY_REGISTRATION_REQUIRED

Method Detail

### values

    public static final RefreshResult.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RefreshResult.Status c : RefreshResult.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RefreshResult.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD